#
#   HBS REDUCTION SUB ROUTINE
#
#   File conversion for CL : andorconv.cl
#
#   2005/08/25      M.Isogai  Ver.1.00  for AndorCCD
#   2005/11/02      M.Isogai  Ver.1.10  not execute if cryolist.org.dat exists
#

if( access( "tmp.inlist" ) == 1 ) 
{
  delete("tmp.inlist", ver-)
}
else
{
}

if( access( "cryolist.dat" ) == 1 )
    {
      if( access( "cryolist.org.dat" ) == 0 )
      {
        mv cryolist.dat cryolist.org.dat
        sed 's/\.fit/\.fts/g' cryolist.org.dat > cryolist.dat
	
        grep -v "#" cryolist.org.dat | cut -c1-12 > tmp.inlist

        rename @tmp.inlist fts field=extn
        delete("tmp.inlist", ver-)
      }
      else
	{
          printf("andorconv has been aleady executed.\n")
          bye
        }
    }
else if( access( "CRYOLIST.DAT" ) == 1 )
    {	
      if( access( "CRYOLIST.ORG.DAT" ) == 0 )
      {
        mv CRYOLIST.DAT CRYOLIST.ORG.DAT
        sed 's/\.FIT/\.FTS/g' CRYOLIST.ORG.DAT > CRYOLIST.DAT

        grep -v "#" CRYOLIST.ORG.DAT | cut -c1-12 > tmp.inlist

        rename @tmp.inlist fts field=extn
        delete("tmp.inlist", ver-)
      }
     else
       {
         printf("andorconv has been aleady executed.\n")
         bye
       }
     }
else
    {
     printf("cryolist.dat or CRYOLIST.DAT is not found.\n")
     bye
    }

